::==================================================================
::BIOS Flash reference script V1.3
::It is a sample script to demo how to flash BIOS via script command
::Please make your own script depend on your case.
::==================================================================
::Target Platform ESM-BYT (E38xx)
::flash tool is afudos 5.05.04 (APTIO5)(DOS)
@echo off
::==================================
set BIOS_BIN=SBT6IR10.bin
set FLASH_TOOL=afudos.exe
set FLASH_PARAMETER= /B /P /N /X
::==================================
:LABEL_CHECK_FILE
if not exist %BIOS_BIN% goto LABEL_BIOS_BIN_ERROR
if not exist %FLASH_TOOL% goto LABEL_BIOS_BIN_ERROR
goto LABEL_GO_FLASH
::
:LABEL_GO_FLASH
@echo on
::Append your own process here
%FLASH_TOOL% %BIOS_BIN% %FLASH_PARAMETER%
@echo off
@pause
goto LABEL_DONE
::
:LABEL_BIOS_BIN_ERROR
@echo Please makesure both %BIOS_BIN% and %FLASH_TOOL% are existed in this folder.
:LABEL_DONE
:LABEL_CLEAR_VAR
::==================================
set BIOS_BIN=
set FLASH_TOOL=
set FLASH_PARAMETER=
::==================================